> For the complete documentation index, see [llms.txt](https://firstoken.gitbook.io/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://firstoken.gitbook.io/api-docs/api-reference/permanent-tokenization/inspect-a-permanent-token.md).

# Inspect a permanent token

### Inspect Token <a href="#toc135036448" id="toc135036448"></a>

You can inspect any token generated in Firstoken. The inspection process receives a valid token and responds with all available token information. This method is useful to know the status of a token and to know other values.

{% tabs %}
{% tab title="cUrl" %}
**GET /v1/tokens/:token/inspect**

```
curl -X GET https://api.firstoken.co/v1/tokens/4242428805134242/inspect\
-H 'x-api-key: YOUR_API_KEY' \
-H "Content-Type: application/json"
```

{% endtab %}

{% tab title="Params of the request" %}
**token** *string*

> A valid Token
>
> Example: 4242424242424242
> {% endtab %}
> {% endtabs %}

<details>

<summary>Example JSON Response</summary>

```json
{
    "status_code": 200,
    "status": "success",
    "desc": "Success",
    "data": {
        "token": "4242428805134242",
        "card_truncated": "424242******4242",
        "exp": "09/2028",
        "name": "Jhon Doe",
        "status": 1,
        "created_by": "Jhon Smith",
        "createdAt": "2020-02-07T14:22:58.015Z",
    }    
}
```

</details>
